/* Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

ALTER TABLE token ADD jti VARCHAR(64) DEFAULT NULL;
ALTER TABLE token ADD jti_available BOOLEAN DEFAULT TRUE;
CREATE UNIQUE INDEX token_jti_uindex ON public.token (jti);

CREATE SEQUENCE public.token_token_id_seq NO MINVALUE NO MAXVALUE NO CYCLE;
ALTER TABLE public.token ALTER COLUMN token_id SET DEFAULT nextval('public.token_token_id_seq');
ALTER SEQUENCE public.token_token_id_seq OWNED BY public.token.token_id;

ALTER TABLE public.users ALTER COLUMN password DROP NOT NULL;

update configprops set value = 3600 where key = 'token_lifetime';