/* Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */
--- Migrate cloud/fmg/faz users from normal to sso user

update userinfo set user_type=6 where tenant='cloud';

--- Add access_type field to usereinfo table. This field holds values from "Named" or "Concurrent"

alter table userinfo add column access_type varchar(32) default 'Named';

--- Add a configuration parameter to mark a user super admin. This user will be able to login to the system in case when
--- user related license validation fails
--- default value for super admin will be csadmin, if it exists in the system.

INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type)
    SELECt 'USER', 'super_admin', 'ce5a842b-fbbc-4c6e-8d35-a0438fcdf80c', True, 'string' WHERE
    EXISTS (
        SELECT uuid FROM users WHERE uuid='ce5a842b-fbbc-4c6e-8d35-a0438fcdf80c'
    );

