/* Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */
--- Add password_history field to userstatus table."

alter table users add column if not exists password_history json default '[]';


--- Number of previous passwords to which the new password must not match ---
INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type)
    SELECT 'PASSWORD', 'history', '10', True, 'int'
    WHERE NOT EXISTS (
        SELECT * FROM configprops WHERE section='PASSWORD' and key_value='history'
    );


--- Minimun password age in days ---
INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type)
    SELECT 'PASSWORD', 'min_password_age', '1', True, 'int'
    WHERE NOT EXISTS (
        SELECT * FROM configprops WHERE section='PASSWORD' and key_value='min_password_age'
    );

